Ubuntu 12.04 y Tarjetas Radeon X1xxx y anteriores

Imagen de steev_666
0 puntos

Hola abro este hilo para buscar ayuda sobre como mejorar el rendimiento de estas tarjetas, Yo tengo una x1900 AIW, y el problema que tengo es que el driver grafico a cada rato se me congela y es realmente molesto tener que matar el servidor grafico cada 2 por 3

No se si alguien pueda ayudarme con este problema, o no se si alguien mas llegue a tener problemas similares

Sintomas

Se abren paguinas con flash, videos, o muchas imagenes y poco a poco parece que la memoria de la grafica se satura hasta que simplemente queda la imagen congelada. El raton se puede seguir moviendo pero nada en la imagen se mueve

Mucho del problema parece estar sobre la capacidad de 2D de la tarjeta, ya que juegos, openGl y otras cosas no presentan el problema, o tambien sospecho de algun codificador, o algo que intente acceder al chip codificador de la tarjeta ya que los fallos los presenta mas con videos vistos desde paginas web, y FLV, Mp4 tarda mucho mas en presentar el error

Uso Ubuntu 12.04 64bit

Alguna sugerencia? incluso estoy dispuesto a eliminar todo el sistema grafico y remplazarlo por alguno que me indiquen, por el momento he intentado tanto con los X-Swat y los incluidos en ubuntu, pero igual intentamos desde cero sus recomendaciones para ver si doy con el problema, esto lo tengo desde ubuntu 10.04 que ya no hay forma de instalar los privativos, o si alguien conoce una forma de instalar los viejos privativos en pangolin se los super agradeceria, es mi unico problema todo lo demas trabaja al centavo

Imagen de teamcpc
+1
0
-1

Los anuncios de páginas flash pueden ser tan pesados y mal hechos que te tumben el sistema, intenta actualizar flash a la última versión y usa algún plugin en un navegador para bloquear los contenidos flash problemáticos (p.e. Adblock plus en el caso de firefox), o mejor sólo permitir la ejecución de los estrictamente necesarios.
Prueba también con otros navegadores como chromium (también dispone de adblock), midori, etc...
Los vídeos de youtube los verás mucho mejor con el programa minitube.

+1
0
-1
Imagen de oniro
+1
0
-1

Hola, yo he resuelto los congelamientos de pantalla con mi tarjeta gráfica ATI RV516 [Mobility Radeon X1350] en hp compac6820s 64bits. No usa controladores privativos.

He puesto los repositorios para los drivers de mi tarjeta. Viene en esta fuente, en el apartado "Drivers tarjeta Gráfica". Os lo copio:

ATI/AMD: sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get install fglrx

http://www.linuxnoveles.com/2012/configurar-ubuntu-12-04-pangolin-despue...

Después de hacer esto reinicia.

Antes se colgaba por usa pdf. o tener youtube reproduciendo seguido, no se ha vuelto a colgar por esos motivos y además se mueve muy fluidamente por los pdf cuando antes tardaba en cargar las páginas.

Aun así ciertamente hay que mejorar el rendimiento de la tarjeta, por eso me sumo a tu post.

Tras días de alegría sin cuelgues, he descubierto que continúa habiendo un punto débil: la búsqueda de imágenes en google. A medida que bajo por la página va tardando más en sacar imágenes hasta que no se mueve la barra y se queda pillado, a veces consigo cerrar a tiempo, otras no.

En casos en que lo único colgado sea el navegador podemos matar el proceso poniendo la pantalla en modo terminal. Para eso:

pulsamos Ctrl+alt+F1

logueamos

pgrep firefox (nos saldrá un número, que es el número de ejecución del proceso).

kill númeroquehayasalido

volvemos al escritorio Ctrl+alt+F7

A veces sirve, otras el sistema se ha sobrecargado tanto que ni sale la panatalla en terminal.

Bueno, a ver si conseguimos mejorar el rendimiento de nuestras tarjetas.

+1
0
-1
Imagen de oniro
+1
0
-1

Aunque en mi caso concreto, veo que el problema de búsqueda de imágenes se arregla usando el navegador chrome, ahí no se bloquea nada.

+1
0
-1
Imagen de oniro
+1
0
-1

He visto que al realizar una instalación limpia no ocurre ese atrompiconamiento con el buscador de imágines, parece que sólo sucedía si se actualizaba desde versión anterior.

+1
0
-1
Imagen de steev_666
+1
0
-1

Bueno estaba algo ocupado y no podia hacer pruebas, asi que mientras he estado trabajando con los drivers de:

xserver-xorg-video-radeon   1:6.14.99~git20110811.g93fc084-0ubuntu1 in amd64
xserver-xorg-video-ati   1:6.14.99~git20110811.g93fc084-0ubuntu1 in amd64

los cuales son los que me han presentado los problemas de congelamiento.

Tambien probe con la de xorg-edgers, que se supone son mas elaborados que los de x-swat

http://www.ubuntuupdates.org/ppa/xorg-edgers

Los cuales tenia una version mas nueva por un par de meses

xserver-xorg-video-radeon      1:6.14.99+git20120606.77a056c1-0ubuntu0sarvatt~precise
xserver-xorg-video-ati      1:6.14.99+git20120606.77a056c1-0ubuntu0sarvatt~precise

Los cuales estaban algo mas estables y tardaban algo mas en presentar el error pero aun asi fallaban, regrese a los anteriores, mas que nada para continuar enviando los reportes de errores

de la pag que mencionas

http://www.linuxnoveles.com/2012/configurar-ubuntu-12-04-pangolin-despue...

Anteriormente en versiones pasadas de Ubuntu, tambien usaba estos, pero en la version para PRECISE

https://launchpad.net/~ubuntu-x-swat/+archive/x-updates?field.series_fil...

No existe aun ningun driver para ati, por el momento solo me aparecen drivers para nvidia y para intel, por eso ni si quiera lo habia instalado esta vez

Ahora si que al parecer el:

fglrx 2:8.960~0ubuntu1

Es la version que viene por defecto con PRECISE, ahorita voy a intentar instalarla, y ver que tal rendimiento tiene, intentare regresar en unos dias para decir si algo cambio o mejoro, tambien me ayudaria si me confirman que esta version de fglrx es la misma que ustedes tienen instalada

Actualizo, intente usar fglrx pero simplemente no inicia, ni en modo a prueba de fallos ni de ningun otro modo

simplemente se limita a decirme que no detecta ninguna grafica

Para no hacer largo, ya intente eliminando y purgando los drivers de xorg-radeon y ati, y solo dejar el fglrx, tambien intentando dejar los radeon ati y fglrx, y nada, da exactamente el mismo resultado

Si intento iniciar en modo seguro con el fglrx instalado me manda el siguiente mensaje

The system is running in low-graphics mode

Your screen, graphics card, an input device settings could not be detected correctly.  you will need to configure these yourself

ya tambien intente despues de instalar el fglrx el clasico

aticonfig --initial

Lo mismo el mismo error de:

sudo aticonfig --initial
aticonfig: No supported adapters detected

alguna otra idea?

Tambien anteriormente usaba el gallium 3D que se instalaba con:

apt-get install libgl1-mesa-dri-gallium

Pero parece que tambien ya estan muertos, por el momento regreso nuevamente a los de Xorg-Edgers a espera de mas recomendaciones

mientras dejo la info de mi tarjeta:

lspci -nn | grep VGA
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI R580 [Radeon X1900 XT] (Primary) [1002:7249]

glxinfo 

name of display: :0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4

con el gallium 3D cambiaba de SGI a Gallium 0.x on R5xx

no se que mas, o alguna idea de como se podrian adaptar los propietarios "ati-driver-installer-9-3-x86.x86_64.run"

Teoricamente traen el binario dentro, me cae que hasta dispuesto a aprender a programar estoy para recuperar el rendimiento de la tarjeta al 100%

+1
0
-1

MB: Asus Croshair Formula IV ROG

Mem: 4 Gb Kingston HiperX 2000 Mhz 9-9-9-24

Procesador: AMD 1090T BE @ 4.0 (en proceso de mas overclokeo :D)

T/Video: Ati All-In-Wonder x1900 256Mb @ (600CoreX1200Mem)

T/Sonido: Sb Audigy 2 ex +

Imagen de steev_666
+1
0
-1

Flash esta en su ultima version, y si he intentado bloquear tanto flash como he podido para hacer mas lento que el error se presente pero persiste, Usando otros navegadores también lo hace, al igual que usando aplicaciones java

Como dije parece ser que no limpia correctamente la cache de la memoria de la gráfica hasta llegar a un punto de desbordamiento, yo uso

CRTL+ALT+RETROCESO

para matar las X cuando queda colgado por completo, o igual desde consola tty1: sudo grm restart, igual he intentado matar las aplicaciones pero la gráfica no se recupera, solo logro matar o reiniciar las X pero siempre pierdo algo que no había salvado

Si alguien quiere activarlo hay que ir a teclado>atajos>Sistema>Cerrar sesión

Algunas veces ya esta asignado otras no, solo asignen

+1
0
-1

MB: Asus Croshair Formula IV ROG

Mem: 4 Gb Kingston HiperX 2000 Mhz 9-9-9-24

Procesador: AMD 1090T BE @ 4.0 (en proceso de mas overclokeo :D)

T/Video: Ati All-In-Wonder x1900 256Mb @ (600CoreX1200Mem)

T/Sonido: Sb Audigy 2 ex +

Imagen de bstn11
+1
0
-1

Holas buena
Yo tengo el mismo problema la verdad es que mi trajeta integrada ATI Radeon x1200 Series me ha dado bastantes problemas con el ubuntu y al final decidi dejar los drivers o como lo trae por defecto al instalar ubuntu. Intente instalar el fglrx con los comandos:
ATI/AMD: sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get install fglrx
Pero al reiniciar me tira la pantalla difusa y borrosa entonces decidi reinstalar ubuntu, ya que me decia que no existia los archivos fglrx al intentar purgarlos.
Ahora solo estoy con los drivers por defecto de Ubuntu me gustaría saber si hay alguna forma de instalar los drivers privativos sin que se pifee mi entorno grafico.

Salu2

+1
0
-1
Imagen de gato2707
+1
0
-1

No hay soporte de ATI para las tarjetas de la serie X1XXX, desde hace muuuucho tiempo, lo único que puedes hacer es usar el controlador libre que viene incluido en Ubuntu.

ATI suspendió en forma unilateral el soporte para esos modelos, PARA TODOS LOS SISTEMAS OPERATIVOS hace mucho tiempo ya.

+1
0
-1

Saludos desde México
Mi Web: El Gato con Linux

Imagen de bstn11
+1
0
-1

En windows 7 me andan bien los driver xd bueno será creo que no solo para windows se necesita tener la ultima tecnologia :okay:

+1
0
-1
Imagen de gato2707
+1
0
-1

ATI fue quien suspendió el soporte para esos modelos, no Ubuntu, ni Linux (el kernel), ni en la comunidad de software libre. De hecho gracias al soporte que se tiene aquí, podrás continuar actualizando tu versión de Ubuntu durante muchos años más. Al contrario, te has quedado "clavado" en la versión 7 de W$, ya que no hay, y no habrá controladores ATI para W$ 8.

Los últimos controladores para esos modelos fueron hechos para W$ Vista, y "funcionan" para 7, ya que como sabrás, W$ 7 es mucho mas parecido internamente a XP que a Vista.

De hecho la mayoría de esos modelos fueron instalados en PC's portátiles, que independientemente del controlador de vídeo, simplemente no podrán continuar actualizándose nuevas versiones de W$, ya sea por memoria, por procesador, por bus o incluso por espacio en el DD, por batería o por cualquier combinación que se te ocurra.

Por otro lado, la larga tradición de soporte "para todo terreno" garantizará que puedas continuar usando tu equipo con alguna distribución GNU / Linux hasta el último día en que tu computadora decida funcionar.

Y no solo eso, lo podrás hacer con versiones "de última hornada", con todas las mejoras que esto implica y sin dejar montones de agujeros de seguridad.

Debes recordar que casi todas las distribuciones tienen 1 o 2 versiones nuevas por año, Ubuntu 12.04 está disponible apenas hace poco más de un mes. En tanto que W$ 7 tiene ya su buen par de años, y que decir de la versión más usada en el mundo (XP) que ya tiene su decena de años. ¡Lo que es toda una eternidad en tecnología de computadoras!.

Claro que si a ti no te importa el avance tecnológico y sus implicaciones y prefieres forzosamente instalar los controladores privativos que hay disponibles, puedes con confianza descargar alguna versión más antigua de Ubuntu (no recuerdo bien si fue la 8.10 o la 9.04 la última en que se pudo instalar el controlador privativo) Eso es parte de la libertad de uso que se dispone en GNU / Linux.

+1
0
-1

Saludos desde México
Mi Web: El Gato con Linux

Imagen de steev_666
+1
0
-1

De hecho es ese precisamente el punto, que en este caso canonical ha dado por muerto tambien el soporte a versiones antiguas en este caso la 8.04, por lo que si instalas incluso ahorita ese ubuntu nuevecito no tendras ninguna actualizacion ya de seguridad ni nada, incluso ya tambien se han eliminado muchos de los repositorios por lo cual inclusive muchos de los programas no los podras tener disponibles tan facilmente

Aqui el problema es que se encuentra en un total limbo toda esta serie de tarjetas, por un lado ATI dejo de darles el soporte eso es correcto, pero tambien libero sus controladores, y la cuestion es que los abiertos, no los toman en cuanta ya que incluyen secciones privativas como la de decodificacion

Asi que bajo la misma perspectiva, Tambien por aca, nos han dejado clavados, en parte en windows te equibocas ya que lo mas posible es que el driver venga integrado al SO, pero sera basado en el original de ati, puede que no se tenga el famoso CCC pero la tarjeta trabajara desentemente a los ultimos drivers que estuvieron disponibles

Aqui en ubuntu desgraciadamente no se que sucedio, ya que incluso recuerdo que trabajaba mucho mejor en ubuntu 10.10 que ahora de la 11.xx en adelante cuyo rendimiento se ha encarecido e incluso en mi caso se podria decir que quedo completamente inutilizable

Linux creeme que me encanta, y ya hace un par de años que solo toco Win para jugar, pero entre mas nuevo se hace el sistema y SIMPLE segun canonical, mas siento que se convierte mas en una mala copia de win, y mala por que no tiene el mismo soporte pero esta adaptando todos los fallos de MS

Estas ultimas versiones en especial por el momento la 12.04 me siento mas betatester que un usuario contento como lo era antes

Y no confundas cosas y no empieces a decir pues vete a XP o cosas por el estilo, el hilo se abrio para intentar aportar experiencias, y ver si llegamos a una solucion

Abri otro post en:

http://www.ubuntu-es.org/node/169631

Para ver si alguien dona algo de su tiempo o experiencia para hacer andar los antiguos privativos, y creo es 100% posible ya que el driver trae su binario, y solo hay que adaptarlo a la version de XORG corriente cosa que necesitamos alguien que nos heche un cable, igual y entre todos podamos armar algo, o si alguien decide intentar algo y dar su experiencia puede que alfinal rearmemos ese driver para hacer andar las tarjetas como deberia, y como dije si se enoja ATI, Canonical, o los SOft Libre Puristas, es muy su rollo, a mi me interesa que mi hard jale al 100% sin importar el metodo usado

+1
0
-1

MB: Asus Croshair Formula IV ROG

Mem: 4 Gb Kingston HiperX 2000 Mhz 9-9-9-24

Procesador: AMD 1090T BE @ 4.0 (en proceso de mas overclokeo :D)

T/Video: Ati All-In-Wonder x1900 256Mb @ (600CoreX1200Mem)

T/Sonido: Sb Audigy 2 ex +

Imagen de teamcpc
+1
0
-1

Mira en los hilos específicos para versiones antiguas, allí encontrarás repositorios que todavía funcionan.

+1
0
-1
Imagen de steev_666
+1
0
-1

Bueno pues estos dias tuve un poco de tiempo libre e hice algunas actualizaciones que por el momento parecen trabajar de modo estable, dejo aqui mi experiencia por si a alguien le sirve y mejora sus problemas de congelamiento

Principalmente son 2 cosas

Para empezar deje los drivers de http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu

Y una parte muy curiosa agrege este ppa (sin este no me detectaba un kernel superior al 3.2)

sudo apt-add-repository ppa:kubuntu-ppa/ppa

El cual me abrio la opcion de instalar el kernel 3.5.0.2.2

(NOTA: si no les abre la opcion del kernel 3.5, con synaptic, busquen "linux-generic", despues package>Force Version... y seleccionen la 3.5)

Y vuala, Ahora el equipo se mantiene estable, aun sigo haciendo pruebas pero parece que se han eliminado por completo el congelamiento, aun asi si detecto algo regreso a informar

Detalles de lo que tengo instalado

linux-generic 3.5.0.2.2
xorg 1:7.6+12ubuntu1
xserver-xorg 1:7.6+12ubuntu1
xserver-xorg-video-all 1:7.6+12ubuntu1
xserver-xorg-video-radeon 1:6.14.99+git20120626.5dc50123-0ubuntu0sarvatt~precise
xserver-xorg-video-ati 1:16.14.99git20120626.5dc50123-0ubuntu0sarvatt~precise

Si alguien necesita mas info con gusto ayudare, y ahora si disfruten por fin de Ubuntu 12.04 :D

REEDITO: Desgraciadamente no soluciona aun el problema pero si tarda mucho mas en presentarse, tambien he detectado que podria ser un problema mas bien del XORG, ya que el problema haciendo experimentos tambien se presento en equipos con NVIDIA simplemente tarda muchisimo mas en presentar el fallo

+1
0
-1

MB: Asus Croshair Formula IV ROG

Mem: 4 Gb Kingston HiperX 2000 Mhz 9-9-9-24

Procesador: AMD 1090T BE @ 4.0 (en proceso de mas overclokeo :D)

T/Video: Ati All-In-Wonder x1900 256Mb @ (600CoreX1200Mem)

T/Sonido: Sb Audigy 2 ex +

Imagen de donlanudo
+1
0
-1

Holaquetal?
Acabo de caer en este hilo, porque creo que tengo un problema que va en esta línea...
...y no consigo resolver.

Intentaré ser claro.
Para empezar utilizo Ubuntu Studio 12.04.1
en un Acer Extensa 7620G,
con procesador 2x Intel(R) Core (TM)2 Duo CPU T5550 @ 1.83GHz
RAM de 3Gb
y una gráfica ATI Mobility Radeon HD 2400XT

El principal síntoma son lo que aquí llamais congelación de imagen, de repente la imagen se bloquea y no puedo hacer nada. A verces el cursor se puede mover torpemente y la mayoría de las veces se queda clavado. Y cuando se está reproduciendo algún sonido, éste se queda en un bucle continuo de un segundo. Y me veo obligado a forzar el apagado dejando pulsado el botón de encendido. Ni siquiera soy capaz de lanzar alguna terminal con Ctrl+Alt+F1.
Lo que más me confunde es que no hay un patrón claro de cuando va a suceder. Por lo general es viendo video, sea a través de internet o desde un archivo, y también cuando uso muchos programas a la vez o realizo acciones muy seguidas. Pero hay veces en que nada da esto sucede y se cuelga igual...
Ya tenía ciertas sospechas de que podía ser de la gráfica, pues dependiendo de los drivers instalados (privativos o por defecto), el corte se producía de diferente manera. Cuando los por defecto que vienen con el 12.04, el corte es un pantallazo negro con líneas de terminal incomprensibles para mi. Y a partir de instalar los adicionales que propone la aplicación de controladores, el corte se produce directamente sobre el entorno gráfico.

Para ver si conseguía resolver esto. Empecé a probar con lo que propone este hilo.
Pero estoy teniendo ciertos problemas.

Tras hacer esto:
ATI/AMD: sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get install fglrx

la terminal me dice esto otro:
Lendo as listas de paquetes... Feito
Construindo a árbore de dependencias
Lendo a información do estado... Feito
Os seguintes paquetes foron instalados automaticamente e xa non son necesarios:
kde-l10n-gl language-pack-kde-en language-pack-kde-gl
language-pack-kde-gl-base language-pack-kde-en-base kde-l10n-engb
mythes-en-au openoffice.org-hyphenation hyphen-en-us amarok-help-en
Empregue «apt-get autoremove» para eliminalos.
Os seguintes paquetes NOVOS hanse instalar:
fglrx
0 anovados, 1 instalados, Vanse retirar 0 e deixar 10 sen anovar.
1 non instalados ou retirados de todo.
Ten que recibir 0 B/39,2 MB de arquivos.
Despois desta operación ocuparanse 118 MB de disco adicionais.
(A ler a base de datos ... 286612 ficheiros ou directorios instalados actualmente.)
A desempaquetar fglrx (de .../fglrx_2%3a8.960-0ubuntu1.1_i386.deb) ...
One or more files have been altered since installation.
Uninstall will not be completed. See /etc/ati/fglrx-uninstall.log for details.
dpkg: erro ao procesar /var/cache/apt/archives/fglrx_2%3a8.960-0ubuntu1.1_i386.deb
(--unpack):
o subproceso novo script de pre-installation devolveu o estado de saída de erro 1
Apareceron erros ao procesar:
/var/cache/apt/archives/fglrx_2%3a8.960-0ubuntu1.1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

(mi terminal habla gallego, pero creo que es bastante comprensible)
basicamente insnste en un error al procesar
/var/cache/apt/archives/fglrx_2%3a8.960-0ubuntu1.1_i386.deb

Y si intento a través de synaptic instalar o actualizar los paquetes que propone Steev_666 en su ultimo comentario, no lo consigo, pues durante la instalación de cualquiera de los paquetes me lanza un error en el que insiste sobre problemas con el mismo archivo.

Así que ahora mismo me veo con el problema posiblemente localizado (la gráfica), pero con que las soluciones no me funcionan.

Así que si Steev_666 o cualquier otro puede decirme algo de en que puedo estar fallando, estaría muy agradecido.

Que incluso me estoy planteando el retornar a Windows, aunque solo sea de forma temporal... y no quiero.

Muchas gracias por la atención.
Hasta luego.

+1
0
-1
Imagen de teamcpc
+1
+1
-1

¿Y no será que tu ordenador tiene sobrecalientamiento?
Comprueba que todos los ventiladores van bien y no tienes obstruida ninguna entrada de aire.
El fallo te da nada más al utilizar el ordenador o cuando empiezas a 'meter caña' a la tarjeta gráfica.
Si tu ordenador tiene un par de añitos yo probaría con alguna versión más antigua, por ejemplo la 10.04.
Sí y antes de que nadie lo diga el soporte para esa versión termina en abril pero eso no significa que la tengas que dejar de usar, aunque si optas por esta opción en algunas cosas hay que buscarse un poco más la vida.

+1
+1
-1
Imagen de steev_666
+1
0
-1

De hecho yo tambien opino que los errores que describes son por sobrecalentamiento que tambien podria ser que la grafica este mal activada y se empiece a sobrecalentar sola por eso que te mande errores

En cuanto a lo del error que te marca en consola, lo mas seguro es que el archivo que se descargo simplemente se daño quedo incompleto o te hace falta estacio en la particion de sistema

Intenta con este comando que lo que hara es borrar los archivos descargados, y podras rebajarlo para intentar nuevamente


sudo rm /var/cache/apt/archives/*.*
sudo rm /var/cache/apt/archives/partial*.*

Eso deberia arreglar el problema de consola y ya no marcar error, tambien te sugiero eliminar los paquetes que al parecer te sobran que son los que te marca al inicio con «apt-get autoremove» tal como te recomienda, a menos que estes usando KDE, aun asi ahi indica que ya no son necesarios

Despues de eso has un


sudo apt-get update
sudo apt-get upgrade

Tambien quiero suponer que tienes una version de 32BIT, y tambien tu HD2xxx ya no perteneceria a los mismos modelos, y para esta aun hay controladores privativos que podria ser te den mejor rendimiento que los abiertos, o los que andamos usando por aca

Los que llevas estan aqui:

http://support.amd.com/us/gpudownload/linux/legacy/Pages/legacy-radeon_l... y tienes disponibles hasta la version 13.1, que corresponden al año 2013 mes de Enero

Para instalarlos si no mal recuerdo solo descomprimes, veras un archivo Atixxx.run

En una consola escribe en donde tienes el archivo

sudo sh ./nombreDelArchivo.run

Eso iniciara la instalacion y te abrira una ventana, lee con cuidado, al finalizar te dira que ejecutes un comando en consola es algo de

aticonfig --y algo

o sigue la guia que encuentras muchas por internet:

http://www.google.com.mx/url?sa=t&rct=j&q=&esrc=s&source=web&cd=3&ved=0C...

El problema que describes no es muy acorde a lo que nosotros tenemos, y a pesar que ha mejorado por mucho el driver mesa, aun presenta de vez en cuando congelamientos, los cuales solo son del video y puede matarse el video desde consola o con crtl+alt+retroceso

Lo que tu describes mas parece un cuelgue de sistema por otro tipo de fallo, como un calentamiento (que si podria ser por un driver de video malo), posiblemente un problema de disco duro o incluso de memorias (intenta hacer al HD un smartTest, recomiendo usar "palimpsest" si no lo tienes instalalo, y un memtest para la memoria

yo he instalado varias lap con esa grafica y no me presentan los problemas que aqui describimos, tambien podria ser que la version de Ubuntu Studio que tienes use repositorios distintos a los de ubuntu

Yo por lo general instalo ubuntu y luego el paquete de ubuntu-studio y cambio el kernel al rt, para acceso de tiempo real, pero si no haces grabacion de audio y mas bien estas probando distros y te atrajo esa por que viene con los programas de video preinstalados, te recomendaria si quieres Ultimate Edition (www.ultimateedition.info) es una dristro que trae mucho de todo y si vas empezando se te hara mas simple, ya que agarres experiencia prueba a distros mas enfocadas a lo que buscas, el UbuntuStudio hay que tenerle algo mas de paciencia ya que si lo tasagean un poquito para hacerlo mas agil para ediciones pero no es muy buena distro para andar jugueteando (te lo comento por experiencia propia)

+1
0
-1

MB: Asus Croshair Formula IV ROG

Mem: 4 Gb Kingston HiperX 2000 Mhz 9-9-9-24

Procesador: AMD 1090T BE @ 4.0 (en proceso de mas overclokeo :D)

T/Video: Ati All-In-Wonder x1900 256Mb @ (600CoreX1200Mem)

T/Sonido: Sb Audigy 2 ex +

Imagen de steev_666
+1
+1
-1

De hecho yo tambien opino que los errores que describes son por sobrecalentamiento que tambien podria ser que la grafica este mal activada y se empiece a sobrecalentar sola por eso que te mande errores

En cuanto a lo del error que te marca en consola, lo mas seguro es que el archivo que se descargo simplemente se daño quedo incompleto o te hace falta espacio en la particion de sistema

Intenta con este comando que lo que hara es borrar los archivos de instalacion descargados, y podras volver a descargar el archivo para intentar nuevamente


sudo rm /var/cache/apt/archives/*.*
sudo rm /var/cache/apt/archives/partial*.*

Eso deberia arreglar el problema de consola y ya no marcar error, tambien te sugiero eliminar los paquetes que al parecer te sobran que son los que te marca al inicio con:


sudo apt-get autoremove
sudo apt-get autoclean
sudo apt-get clean

tal como te recomienda, a menos que estes usando KDE, aun asi ahi indica que ya no son necesarios

Despues de eso vuelve a actualizar


sudo apt-get update
sudo apt-get upgrade

Tambien quiero suponer que tienes una version de 32BIT, en un C2D, te recomendaria instalar un 64Bit para que aproveches bien tu proce

Por otro lado tu HD2xxx ya no perteneceria a los mismos modelos que manejamos aqui, ya que para esta aun hay controladores privativos que podria ser te den mejor rendimiento que los abiertos, o los que andamos usando por aca

Los que llevas estan aqui:

http://support.amd.com/us/gpudownload/linux/legacy/Pages/legacy-radeon_l...

y tienes disponibles hasta la version 13.1, que corresponden al año 2013 mes de Enero

Para instalarlos si no mal recuerdo solo descomprimes, veras un archivo Atixxx.run

En una consola escribe en donde tienes el archivo

sudo sh ./nombreDelArchivo.run

Eso iniciara la instalacion y te abrira una ventana, lee con cuidado, al finalizar te dira que ejecutes un comando en consola, es algo como:

aticonfig --config... y algo

o sigue la guia que encuentras muchas por internet:

http://www.google.com.mx/url?sa=t&rct=j&q=&esrc=s&source=web&cd=3&ved=0C...

El problema que describes no es muy acorde a lo que nosotros tenemos, y a pesar que ha mejorado por mucho el driver mesa, aun presenta de vez en cuando congelamientos, los cuales solo son del video y puede matarse el video desde consola o con crtl+alt+retroceso (ya no presenta en otra situacion que no sea visualizado flash en pag. web, Osea que puedes reproducir con totem u otro reproductor y no se congela)

Lo que tu describes mas parece un cuelgue de sistema por otro tipo de fallo, como un calentamiento (que si podria ser por un driver de video malo), posiblemente un problema de disco duro o incluso de memorias (intenta hacer al HD un smartTest, recomiendo usar "palimpsest" si no lo tienes instalalo, y un memtest para la memoria que te sale al iniciar el sistema {si entras directo reinicia y deja oprimido crtl+shift+alt y elige del menu el memtest, dejalo correr uno o 2 veces cuandomenos})

yo he instalado varias lap con esa grafica y no me presentan los problemas que aqui describimos, tambien podria ser que la version de Ubuntu Studio que tienes use repositorios distintos a los de ubuntu

Yo por lo general instalo ubuntu y luego el paquete de ubuntu-studio y cambio el kernel al rt, para acceso de tiempo real, pero si no haces grabacion de audio y mas bien estas probando distros y te atrajo esa por que viene con los programas de video preinstalados, te recomendaria si quieres Ultimate Edition (www.ultimateedition.info) es una dristro que trae mucho de todo y si vas empezando se te hara mas simple, ya que agarres experiencia prueba a distros mas enfocadas a lo que buscas, el UbuntuStudio hay que tenerle algo mas de paciencia ya que si lo tasajean un poquito para hacerlo mas agil para ediciones pero no es muy buena distro para andar jugueteando (te lo comento por experiencia propia)

Disculpen el duplicado

+1
+1
-1

MB: Asus Croshair Formula IV ROG

Mem: 4 Gb Kingston HiperX 2000 Mhz 9-9-9-24

Procesador: AMD 1090T BE @ 4.0 (en proceso de mas overclokeo :D)

T/Video: Ati All-In-Wonder x1900 256Mb @ (600CoreX1200Mem)

T/Sonido: Sb Audigy 2 ex +

Imagen de donlanudo
+1
0
-1

Muchas gracias por las respuestas.

Sobre lo de calentamiento... no sé que decir. Hubo una epoca que si que se calentaba la maquina sensiblemente, pero fue limpiarla por dentro donde el ventilador y listo. Si ahora es por calentamiento, sería un calentamiento astante sutil. Pues no noto la maquina caliente.

Ya hice la limpieza con el autoremove y las lineas que propones.
Y me disponía a instalar desde el enlace a AMD la version 13.1 del driver, y me fijé en la descripción que pone que es para un kernel 3.4 o superior, y el que yo tengo es 3.2.0-36-lowlatency-pae. Por lo que busque como actualizar el kernel, y encontré esto:
https://tecnoubuntu.wordpress.com/2012/06/24/actualizar-ubuntu-12-04-al-...

En los comentarios de este post, decían que versiones superiores a la 3.4 pueden dar problemas en 12.04, así que intenté lo que indicaba el post para la 3.4.
Una vez instalada sin problemas y reiniciada la computadora, no me parace la opción en el GRUB de arrancar desde el nuevo kernel...
...y en esas estoy por ahora, viendo la manera de configurar el GRUB, lo que me está pareciendo un trabajo un tanto delicado.

Si consigo resolverlo de alguna manera ya os lo haré saber.

Una vez más, gracias por el interés.
Hasta luego.

+1
0
-1
Imagen de donlanudo
+1
0
-1

En mi ultimo comentario os decía que estaba intentando arrancar mi ubuntu con le nuevo kernel instalado, cosa que no conseguí (lo que encontraba por internet me parecía un poco arriesgado, editar archivos de grub que pueden comprometer el arranque...).
Así que me lancé a hacer la instalación con todo mi optimismo con el kernel antiguo, siguiendo las instrucciones que steev recomienda en el blog:
http://www.sismonda.com.ar/75-2012-10-29-driver-propietario-ati-en-ubunt...

Y al llegar al tercer paso (el primer reboot), me ocurre que no reinicia el entorno gráfico, y solo da la opción de terminal.
En mi osadía seguí las instrucciones desde terminal (descargando de antemano los drivers con otro SO (Mint) que me da los mismos problemas a ratos). Pero tras la línea
sudo sh amd-driver-installer-*.run --buildpkg Ubuntu/precise

me da un error, de que no puede desempaquetar algo (no sé hacer corta-pega con el ordenador solo en terminal) haciendo como referencia al comando buildpkg.
Así que probé a hacer solo el sh, y parece que va bien hasta que en un punto me dice que ya hay un fglrx instalado y que lo quite. Y eso ya lo hice... o eso creo (después de tanto intento...).

Y ahora me veo atrapadísimo...

(socorro)

gracias por estar ahí.

+1
0
-1
Imagen de donlanudo
+1
0
-1

...y un ultimo detalle.
Bsucando otras posibilidades, me plantee volver atrás e instalar UbuntuStudio10.04.4, y haciendo la comprobación de errores en el disco, va y me salta un error con el archivo fglrx_2%3a8.960-0ubuntu1.1_i386.deb,
el archivo que me da problemas todo el rato.

Es una casualidad o será que tengo la gráfica rota?
...a saber.

+1
0
-1
Imagen de steev_666
+1
0
-1

Tu grafica no creo que este rota, simplemente por lo que comentas es el CD con el que estas haciendo la instalacion, tendrias que regreabar otro o crea una pen booteable para instalar

si nadamas te quedaste en consola intenta regresar sobre tus pasos

una alternativa es si eliminaste los drivers graficos instala nuevamente todos los genericos:


sudo apt-get install xserver-xorg-video-all

Con esto recuperas el entorno grafico

intenta fijarte bien en los pasos que estas siguendo, asi si te equivocas solo tendras que regresar sobre los mismos pasos o copia en un block de notas los pasos que escribes y luego nos lo pasas asi es mas facil ayudarte a resolver algun error

con tu grafica no debe haber mucho problema, pero como dije antes puede que todo el problema sea el Ubuntu-studio que estas usando, casi que te recomendaria mas instalar ubuntu normal y luego solo instalas el paquete de ubuntu-studio, y el del kernel-rt

asi tendras menos problemas de todos modos cualquier cosa no dudes en preguntar y aunque sea algo lento por que el trabajo y la vida me absorbe pero vere en que te ayudo para que este mas estable tu equipo

+1
0
-1

MB: Asus Croshair Formula IV ROG

Mem: 4 Gb Kingston HiperX 2000 Mhz 9-9-9-24

Procesador: AMD 1090T BE @ 4.0 (en proceso de mas overclokeo :D)

T/Video: Ati All-In-Wonder x1900 256Mb @ (600CoreX1200Mem)

T/Sonido: Sb Audigy 2 ex +

Imagen de steev_666
+1
0
-1

Para actualizar tu kernel o instalar uno nuevo es muy simple

Solo entra a:

http://kernel.ubuntu.com/~kernel-ppa/mainline/

Elige la version que desees pero te recomiendo ir suviendo poco a poco, ejemplo si tienes kernel 3.2 no des un brinco al 3.8, aun asi no cascara tu sistema solo tendras que eliminar la 3.8 y provar una 3.3/3.4

Los pasos serian: seleccionas el kernel deseado, por ejemplo yo tengo 12.04 Pang pero voy a cargar el 3.6.3 de quantal

Entro a la carpeta correspondiente y bajo los archivos segun mi arquitectura mas el ALL

Si es x86, bajo todos los que digan i386 al final, Mas el linux-head.....-ALL.deb

Si es x64, descargo todos los amd64.deb + el Linux-head....-all.deb

ya que tengas todos en la misma carpeta lo unico que debes hacer para instalarlos es, doble click en cada uno e instalarlos o para mi mas simple en la consola

cd /home/usuario/lugarDeDescarga
sudo dpkg -i *.deb

Y listo dejas terminar solito te actualiza el grub reinicias y listo, en caso que no entre se congele por cualquier motivo reinicia y justo antes de que empiece a cargar el grub deja oprimido CRTL+ALT+SHIFT, y aparecera el menu, solo selecciona el kernel que tenias antes, elimina el kernel que acabas de instalar desde synaptic e intenta otro

El grub, es muy facil de reparar, la guia esta aqui:

http://www.guia-ubuntu.com/index.php?title=Recuperar_GRUB

ya sea desde un live cd, o baja la imagen del super grub y graba un cd, con live cd sigues la opcion 2, si usas el super grub solo el paso 1 que es reinstalarlo

y listo ya no tienes por que meterte a editar nada, eso es ya algo viejo

Si aun tienes problemas con tu grafica prueba con los XORG-EDGERS:

https://launchpad.net/~xorg-edgers/+archive/ppa

que son los que a mi me han funcionado mejor, y entre mas nuevo este tu kernel tambien he visto una mejora grande de estabilidad

Si tienes mas preguntas por aca sigo

SUERTE

+1
0
-1

MB: Asus Croshair Formula IV ROG

Mem: 4 Gb Kingston HiperX 2000 Mhz 9-9-9-24

Procesador: AMD 1090T BE @ 4.0 (en proceso de mas overclokeo :D)

T/Video: Ati All-In-Wonder x1900 256Mb @ (600CoreX1200Mem)

T/Sonido: Sb Audigy 2 ex +

Imagen de gato2707
+1
0
-1

y aunque tarde aquí mi respuesta:

tambien el soporte a versiones antiguas en este caso la 8.04, por lo que si instalas incluso ahorita ese ubuntu nuevecito no tendras ninguna actualizacion ya de seguridad ni nada

El software libre es diferente en su concepción, simplemente no se puede comparar, empezando porque es gratuito. De esta forma resulta imposible continuar ofreciendo soporte a cualquier versión sin importar que tan antigua sea.

Además el SO Ubuntu en realidad, como cualquier otra distribución, es en su mayor parte solamente una recopilación de lo que hacen muchos, muchos otros. Vamos lo que quiero decir que no es Ubuntu, ni ninguna otra distribución la que desarrolla los controladores, ni los privativos, ni los libres.

pero tambien libero sus controladores, y la cuestion es que los abiertos, no los toman en cuanta ya que incluyen secciones privativas como la de decodificacion

En primer lugar la liberación de PARTE del código de los controladores ATI se dio mucho después que retiraron el soporte a sus productos.

Enterado de eso deberás entender que tampoco es cosa de magia producir nuevos controladores libres (aún usando el código liberado por AMD). Máxime que en esto siempre hay problemas de financiamiento. ¿Has financiado estos proyectos? ¿Supones que los programadores viven de agua y aire?

en parte en windows te equibocas ya que lo mas posible es que el driver venga integrado al SO, pero sera basado en el original de ati, puede que no se tenga el famoso CCC

No mi querido amigo, el que se equivoca y de cabo a rabo eres tu, M$ no puede disponer del código de AMD de la misma forma que Ubuntu no puede, simple asunto legal, y de igual forma en W$ solamente se incluyen los controladores propietarios del propio AMD. M$ es una empresa que hace mucho software, pero no hace absolutamente ningún controlador, ni libre ni propietario ni de ninguna otra forma que puedas imaginar o inventar.

Y no confundas cosas y no empieces a decir pues vete a XP o cosas por el estilo,

Yo JAMAS he mandado "hasta allá" a nadie y no lo haré nunca, lo único que te sugeriría es una versión que SI soporte los controladores privativos, como ya te lo dije antes, desafortunadamente tienes que escoger entre nueva versión del SO o controladores privativos.

Es una pena que en tu PC en particular los controladores libres no funcionen bien; a mi por el contrario, mi vieja portátil me sigue funcionando de maravilla con los controladores libres y el desempeño continua mejorando versión a versión.

Si te sirve de consuelo la próxima versión de Ubuntu incluirá una tecnología (Gallium) que una de dos, te hará olvidar para siempre los controladores privativos o te hará olvidarte de las actualizaciones de Ubuntu.

Yo ya tuve la oportunidad de probarla (ZorinOS 6) y en verdad es excelente con mi ATI, sin embargo no funcionó con una vieja nVidia.

Para ver si alguien dona algo de su tiempo o experiencia para hacer andar los antiguos privativos, y creo es 100% posible ya que el driver trae su binario, y solo hay que adaptarlo a la version de XORG corriente cosa que necesitamos alguien que nos heche un cable, igual y entre todos podamos armar algo, o si alguien decide intentar algo y dar su experiencia puede que alfinal rearmemos ese driver para hacer andar las tarjetas como deberia

Y así, con eso deseos es como nacen los proyectos de software libre, espero que lo logres.

+1
0
-1

Saludos desde México
Mi Web: El Gato con Linux